Get a claim
GET/v1/claims/:id
Get details of a claim by id
Request
Path Parameters
ID of the claim
Responses
- 200
- 400
- 401
- 404
OK
- application/json
- Schema
- Example (from schema)
Schema
- Array [
- ]
- Array [
- ]
data object
ID of the claim
ID of the post-loss evaluation
ID of the purchased policy
ID of the accident type
Channel that created the claim
Date of the accident
Time of the accident
Location of the accident
Landmark of the accident
Description of the accident
Status of the claim
Whether the claim vehicle matches the policy vehicle
ID of the related pre-purchase evaluation, if any
Damages recorded in the vehicle
Whether the claim plate number mismatches the policy vehicle
Whether the claim VIN mismatches the policy vehicle
Claim form turnaround time
Date of creation of the claim
bank_details object
Bank details of the user for payment
Name of the bank
Name of the account
Number of the account
pre_evaluation object
ID of the pre-evaluation
ID of the user associated with the pre-evaluation
Name of the customer
Phone number of the customer
Email of the customer
Incidence type
Third-party damage type
Other third-party damage type
Third-party damage description
Gender of the customer
Chassis number of the vehicle
Manufacturer of the vehicle
Model of the vehicle
Year of manufacture of the vehicle
Color of the vehicle
Engine number of the vehicle
Address of the customer
Usage of the vehicle
License number of the vehicle
License expiry date of the vehicle
Confirmation number of the pre-evaluation
Value of the vehicle
Currency of the vehicle value
Type of the vehicle
vehicle_details object[]
Details of the vehicle
URL of the vehicle
Side of the vehicle
Registration number of the vehicle
Type of assessment
Date of creation of the pre-evaluation
Reference of the pre-evaluation
files object[]
Files of the pre-evaluation
ID of the pre-evaluation file
ID of the pre-evaluation
ID of the third-party item
Vehicle part metadata
Vehicle side metadata
File type
File path or URL
Processing status of the file
Processing result
URL of the file
Pre-processed file URL
Date of creation of the file
Date of last update of the file
Capture location metadata
Annotations for the file
Internal damages detected for the file
{
"data": {
"id": 0,
"pre_evaluation_id": 0,
"purchased_policy_id": 0,
"accident_id": 0,
"channel": "string",
"date": "string",
"time": "string",
"location": "string",
"landmark": "string",
"description": "string",
"status": "string",
"vehicles_match": true,
"pre_purchase_evaluation_id": 0,
"damages": [
"string"
],
"plate_number_mismatch": true,
"vin_mismatch": true,
"form_tat": "string",
"created_at": "string",
"bank_details": {
"bank_name": "string",
"account_name": "string",
"account_number": "string"
},
"pre_evaluation": {
"id": 0,
"user_id": 0,
"name": "string",
"phone": "string",
"email": "string",
"incidence_type": "string",
"third_party_damage_type": "string",
"third_party_damage_type_other": "string",
"third_party_description": "string",
"gender": "string",
"chassis_number": "string",
"manufacturer": "string",
"model": "string",
"year": "string",
"color": "string",
"engine_no": "string",
"address": "string",
"usage": "string",
"license_number": "string",
"license_expiry": "string",
"confirmation_number": "string",
"vehicle_value": "string",
"vehicle_value_currency": "string",
"vehicle_type": "string",
"vehicle_details": [
{
"url": "string",
"side": "string"
}
],
"vehicle_regno": "string",
"assessment_type": "string",
"created_at": "string",
"ref": "string",
"files": [
{
"id": 0,
"pre_evaluation_id": 0,
"third_party_item_id": 0,
"vehicle_part": {},
"vehicle_side": {},
"type": "string",
"path": "string",
"processing_status": "string",
"result": "string",
"url": "string",
"pre_processed_url": "string",
"created_at": "string",
"updated_at": "string",
"location": {},
"annotations": [
{}
],
"internal_damages": [
{}
]
}
]
}
}
}
Bad request.
- application/json
- Schema
- Example (from schema)
Schema
{
"message": "400 Bad Request (Client Error)"
}
Unauthenticated - no valid API key was provided.
- application/json
- Schema
- Example (from schema)
Schema
{
"data": "Invalid Token"
}
Not found.
- application/json
- Schema
- Example (from schema)
Schema
{
"message": "No query results for the requested resource."
}